Subject: [spfbis] review of 4408bis-05

From: Arthur Thisell <[email-masked]>
Date: Wed, 22 Aug 2012 10:25:19 -0700 (PDT)

I mentioned this in a message earlier today that I had reviewed all changes since RFC 4408, and I had mentioned to Scott off-list that I hadn't found anything worth mentioning.  But, what the heck, here is my list anyway.

First, I cringe at how much 4408bis has grown.  RFC 4408 was already 46 pages long, all of RFC 2821 was only 79.  RFC 4408bis is now 63 pages (with 3 pages of change notes that I've excluded).  I realize a lot of the new text is in the non-normative section 9, but there is a lot of other stuff added here and there.   Just like unneeded features/options make it harder to implement a spec correct, adding unimportant verbiage makes it harder to find the important stuff.

Second, in the table in section 5.2, it still says to "throw" a temperror.  I thought we were trying to get rid of that term.

Last, in section 9.1.1, an A record domain name "authorized_spf" is used, which isn't a valid host name.  I'm not sure if that was intentional or not, but most real SPF records would use a real host name.

There are a huge number of other changed that I really don't care about.  Ok, changing lowercase "may" to lowercase "might" is probably an improvement, but I could live with it either way.  Removing the perl heritage of using camel-case for the SPF results is a little sad, a lot of the early development was on the perl list.  It really isn't important though.

I know there are a few open issues on the problem tracker, but I would happy to see -05 sent off just the way it is.  I fear that with so much time before our dec deadline, people are going to start filling up 4408bis with unimportant personal pet peeves.  (We all have them.  I personally hate the complexity of the macros, ptr: in general, and many others.)

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 22 Aug 2012 11:03:10 -0700

> First, I cringe at how much 4408bis has grown.  RFC 4408 was already 46 pages long, all of RFC 2821 was only 79.  RFC 4408bis is now 63 pages (with 3 pages of change notes that I've excluded).  I r…

Here's a side-by-side diff of the two documents:

http://www.blackops.org/~msk/spfbis/draft-ietf-spfbis-4408bis-05-from-rfc4408.diff.html

A cursory review of this, which mainly involved me spinning the mouse
wheel until big sections of added/removed text came up, didn't cause
me much alarm.  Most of the added text covers evolutionary history or
things we've agreed are useful clarifications, or the aforementioned
"change since" stuff.

(A couple of scan-time notes: (a) typo in 9.3 while I was scrolling
around: "dispositive on it's own" should be "dispositive on its own";
(b) 4.5 "must be discarded" should be "MUST be discarded".)

-MSK

---

From: Scott Kitterman <[email-masked]>
Date: Thu, 23 Aug 2012 00:01:04 -0400

On Wednesday, August 22, 2012 11:03:10 AM Murray S. Kucherawy wrote:
> > I mentioned this in a message earlier today that I had reviewed all
> > changes since RFC 4408, and I had mentioned to Scott off-list that I
> > hadn't found anything worth mentioning.  But, what the heck, here is my
> > list anyway.
> > 
> > First, I cringe at how much 4408bis has grown.  RFC 4408 was already 46
> > pages long, all of RFC 2821 was only 79.  RFC 4408bis is now 63 pages
> > (with 3 pages of change notes that I've excluded).  I realize a lot of
> > the new text is in the non-normative section 9, but there is a lot of
> > other stuff added here and there.   Just like unneeded features/options
> > make it harder to implement a spec correct, adding unimportant verbiage
> > makes it harder to find the important stuff.

Fixed.  This caused me to do a case sensitive search for "must" and it 
returned a depressing number of results, which I also fixed.

Scott K